<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.preset.Move (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.preset.Move (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/Move.html" target="_top">Frames</a></li>
<li><a href="Move.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.preset.Move" class="title">Uses of Class<br>towerwarspp.preset.Move</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.board">towerwarspp.board</a></td>
<td class="colLast">
<div class="block">The board Package which implements the Logic of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.io">towerwarspp.io</a></td>
<td class="colLast">
<div class="block">The Input/Output package which displays the Game and computes the Input of the Player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.main.game">towerwarspp.main.game</a></td>
<td class="colLast">
<div class="block">The Game package which controls the main game and implements the save and load option.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.player">towerwarspp.player</a></td>
<td class="colLast">
<div class="block">The player package which implements all possible player Types.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.player.mcts">towerwarspp.player.mcts</a></td>
<td class="colLast">
<div class="block">The mcts package which implements the monte carlo tree search algorithm.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.preset">towerwarspp.preset</a></td>
<td class="colLast">
<div class="block">The preset package which implements all given presets.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.board">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a> in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> declared as <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">MoveScore.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/MoveScore.html#move">move</a></span></code>
<div class="block">The move whose score and possible consequence are saved in this <a href="../../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> object.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> with type parameters of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Vector&lt;java.util.HashSet&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Entity.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#allMoves">allMoves</a></span></code>
<div class="block">Contains all possible moves of this entity sorted according to the step range needed for reaching the end position.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> that return <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">MoveScore.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/MoveScore.html#getMove--">getMove</a></span>()</code>
<div class="block">Returns the move whose score and consequence are stored in this <a href="../../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> object.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> that return types with arguments of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.Vector&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#allPossibleMoves-towerwarspp.preset.PlayerColor-">allPossibleMoves</a></span>(<a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col)</code>
<div class="block">Returns all possible moves which a player of the color col has.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Vector&lt;java.util.HashSet&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Entity.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#copyAllMoves--">copyAllMoves</a></span>()</code>
<div class="block">Returns collection of clones of all possible moves.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Vector&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#getBestMoves-towerwarspp.preset.PlayerColor-">getBestMoves</a></span>(<a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;ownColor)</code>
<div class="block">Returns the best moves available for the player of the color ownColor which have been rated
 according to the simple score strategy and with respect to each available move's possible consequence.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Vector&lt;java.util.HashSet&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Entity.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#getMoves--">getMoves</a></span>()</code>
<div class="block">Returns a reference to the collection of all possible moves stored in this <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a> object (does not copy or restore the moves).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Vector&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Entity.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#getMovesAsVector--">getMovesAsVector</a></span>()</code>
<div class="block">Returns all possible moves of this Entity stored in a vector.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> with parameters of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#altScore-towerwarspp.preset.Move-towerwarspp.preset.PlayerColor-">altScore</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move,
        <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;playerColor)</code>
<div class="block">Computes an alternative score for the passed move representing an aggressive play strategy with some focus on
 defending the base by assigning a very low score to moves that cause an entity to leave an area around the base
 dependant on the board size.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#computeScore-towerwarspp.preset.Move-towerwarspp.preset.Position-towerwarspp.preset.PlayerColor-">computeScore</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move,
            <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;opponentBase,
            <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;ownColor)</code>
<div class="block">Computes a score for the given move using the simple strategy.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#makeMove-towerwarspp.preset.Move-">makeMove</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move)</code>
<div class="block">Executes the specified move if this move is legal.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#moveAllowed-towerwarspp.preset.Move-towerwarspp.preset.PlayerColor-">moveAllowed</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move,
           <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col)</code>
<div class="block">Returns true if the player of the specified color can make the specified move.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board">MoveScore</a></code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#scoreMove-towerwarspp.preset.Move-towerwarspp.preset.PlayerColor-">scoreMove</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move,
         <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;ownColor)</code>
<div class="block">Returns a <a href="../../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> object representing the information on the specified move: its score made according to the simple strategy
 and its possible consequence like immediate win or lose, or unknown result.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board">MoveScore</a></code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#scoreMove-towerwarspp.preset.Move-towerwarspp.preset.PlayerColor-boolean-">scoreMove</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move,
         <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;ownColor,
         boolean&nbsp;ownBaseCanBeDestroyed)</code>
<div class="block">Evaluates the specified move.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> with parameters of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/MoveScore.html#MoveScore-towerwarspp.preset.Move-int-towerwarspp.board.MoveResult-">MoveScore</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move,
         int&nbsp;score,
         <a href="../../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a>&nbsp;result)</code>
<div class="block">Creates a new instance of <a href="../../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board"><code>MoveScore</code></a> with the specified parameters.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.io">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a> in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> declared as <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">GraphicIO.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/GraphicIO.html#deliverMove">deliverMove</a></span></code>
<div class="block">Move-Object which is used for deliver()</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> with type parameters of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Vector&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">GraphicIO.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/GraphicIO.html#possibleMoves">possibleMoves</a></span></code>
<div class="block">MoveList-Object of possible Moves</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> that return <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">TextIO.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/TextIO.html#deliver--">deliver</a></span>()</code>
<div class="block">Overridden method deliver() parsing a textual input from the standard-input into a <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">GraphicIO.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/GraphicIO.html#deliver--">deliver</a></span>()</code>
<div class="block">Waits for Player Input and set the Main-Thread to wait().</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main.game">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a> in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a> with type parameters of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayDeque&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Save.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#moveHistory">moveHistory</a></span></code>
<div class="block">The History of the moves</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a> that return <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Save.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#getNextMove--">getNextMove</a></span>()</code>
<div class="block">polls the first move from the queue, implemented by ArrayDeque</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Save.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#parseLoad-java.lang.String-">parseLoad</a></span>(java.lang.String&nbsp;str)</code>
<div class="block">This method parses a given string to a Move-Object with the help of the
 static movePattern-Variable, which is a regex.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a> that return types with arguments of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayDeque&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Save.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#getMoveHistory--">getMoveHistory</a></span>()</code>
<div class="block">returns the ArrayDeque</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Iterator&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Save.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#iterator--">iterator</a></span>()</code>
<div class="block">returns iterator for the save-Class implemnted with an anonymous class,
 so the user can't manipulate the ArrayDeque itself.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a> with parameters of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Save.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#add-towerwarspp.preset.Move-">add</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move)</code>
<div class="block">adds a move</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a> with type arguments of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Save.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#setMoveHistory-java.util.ArrayDeque-">setMoveHistory</a></span>(java.util.ArrayDeque&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;&nbsp;moveHistory)</code>
<div class="block">sets the ArrayDeque</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a> in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> that return <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Adv1Player.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/Adv1Player.html#deliverMove--">deliverMove</a></span>()</code>
<div class="block">Chooses the <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a> returned by <a href="../../../towerwarspp/player/PlayStrategy.html#HEAVY"><code>PlayStrategy.HEAVY</code></a> to play.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) abstract <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasePlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/BasePlayer.html#deliverMove--">deliverMove</a></span>()</code>
<div class="block">Only abstract method.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimplePlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/SimplePlayer.html#deliverMove--">deliverMove</a></span>()</code>
<div class="block">Uses the <a href="../../../towerwarspp/board/Board.html#scoreMove-towerwarspp.preset.Move-towerwarspp.preset.PlayerColor-"><code>Board.scoreMove(Move, PlayerColor)</code></a> method to evaluate all possible moves for this players <a href="../../../towerwarspp/player/BasePlayer.html#color"><code>BasePlayer.color</code></a>
 and randomly chooses one of the highest rated moves.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Adv2Player.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/Adv2Player.html#deliverMove--">deliverMove</a></span>()</code>
<div class="block">Returns after the at Player construction specified time per move the best move found so far depending on the set
 <a href="../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">RndPlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/RndPlayer.html#deliverMove--">deliverMove</a></span>()</code>
<div class="block">Implementation of the <a href="../../../towerwarspp/player/BasePlayer.html#deliverMove--"><code>BasePlayer.deliverMove()</code></a> method.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">HumanPlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/HumanPlayer.html#deliverMove--">deliverMove</a></span>()</code>
<div class="block">deliverMove() is called in super class <a href="../../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player"><code>BasePlayer</code></a> during <a href="../../../towerwarspp/player/BasePlayer.html#request--"><code>BasePlayer.request()</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">PlayStrategy.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/PlayStrategy.html#heavyPlay-towerwarspp.board.Board-">heavyPlay</a></span>(<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board)</code>
<div class="block">Uses the passed <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> object to get all moves available to the Player returned by <a href="../../../towerwarspp/board/SimpleBoard.html#getTurn--"><code>SimpleBoard.getTurn()</code></a>,
 then assigns a score to each of them by using the <a href="../../../towerwarspp/board/Board.html#altScore-towerwarspp.preset.Move-towerwarspp.preset.PlayerColor-"><code>Board.altScore(Move, PlayerColor)</code></a> evaluation function
 and returns a random move out of the highest scored moves.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">PlayStrategy.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/PlayStrategy.html#lightPlay-towerwarspp.board.Board-">lightPlay</a></span>(<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board)</code>
<div class="block">Uses the passed <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> object to get all moves available to the Player returned by <a href="../../../towerwarspp/board/SimpleBoard.html#getTurn--"><code>SimpleBoard.getTurn()</code></a>,
 then randomly selects one of them and returns it.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasePlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/BasePlayer.html#request--">request</a></span>()</code>
<div class="block">Request method as specified in the <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> Interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">NetPlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/NetPlayer.html#request--">request</a></span>()</code>
<div class="block">Calling the request() method will invoke a <a href="../../../towerwarspp/preset/Player.html#request--"><code>Player.request()</code></a> call.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> with parameters of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">BasePlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/BasePlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;opponentMove,
      <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>
<div class="block">Update own board with opponentMove  and check if opponents board status is equal to own board status.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Adv2Player.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/Adv2Player.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;opponentMove,
      <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>
<div class="block">Calls <a href="../../../towerwarspp/player/BasePlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-"><code>BasePlayer.update(Move, Status)</code></a> and then <a href="../../../towerwarspp/player/mcts/Mcts.html#feedEnemyMove-towerwarspp.preset.Move-"><code>Mcts.feedEnemyMove(Move)</code></a> to update the state of the search
 tree.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">NetPlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/NetPlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;opponentMove,
      <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>
<div class="block">Calling makeMove() will invoke a <a href="../../../towerwarspp/preset/Player.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-"><code>Player.update(Move, Status)</code></a> call.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player.mcts">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a> in <a href="../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> declared as <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Mcts.html#currentBestMove">currentBestMove</a></span></code>
<div class="block">Holds the current best move chosen dependent on the <a href="../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Mcts.html#enemyMove">enemyMove</a></span></code>
<div class="block">Holds the last Move the enemy made.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Node.html#move">move</a></span></code>
<div class="block">The move (game state) represented by this Node.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> that return <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Mcts.html#bestMove--">bestMove</a></span>()</code>
<div class="block">This method is called if the Thread has used it's available timePerMove to decide on the final Move that should
 be played.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Mcts.html#getMove--">getMove</a></span>()</code>
<div class="block">This method is always called fro outside this Thread.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Node.html#getMove--">getMove</a></span>()</code>
<div class="block">Returns the <a href="../../../towerwarspp/player/mcts/Node.html#move"><code>Node.move</code></a> represented by this Node.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> with parameters of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Mcts.html#feedEnemyMove-towerwarspp.preset.Move-">feedEnemyMove</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move)</code>
<div class="block">Use to update the state of the tree after the enemy has made a move.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Mcts.html#updateRoot-towerwarspp.preset.Move-">updateRoot</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move)</code>
<div class="block">Used to update the <a href="../../../towerwarspp/player/mcts/Mcts.html#root"><code>Mcts.root</code></a> of the tree after the enemy has made a move.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> with parameters of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Node.html#Node-towerwarspp.preset.Move-towerwarspp.player.mcts.Node-">Node</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move,
    <a href="../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&nbsp;parent)</code>
<div class="block">Private Node constructor that is used to add a new Node to a prior leaf Node.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.preset">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a> in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> that return <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Requestable.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Requestable.html#deliver--">deliver</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Move.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Move.html#parseMove-java.lang.String-">parseMove</a></span>(java.lang.String&nbsp;str)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Player.html#request--">request</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> with parameters of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Player.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;opponentMove,
      <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> with parameters of type <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Move.html#Move-towerwarspp.preset.Move-">Move</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/Move.html" target="_top">Frames</a></li>
<li><a href="Move.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
